
create table sessions (
    id INTEGER NOT NULL PRIMARY KEY,
    algorithm_version INTEGER NOT NULL,
    app_version TEXT NOT NULL,
    archived INTEGER NOT NULL,
    audio_high_quality INTEGER NOT NULL,
    disk_usage_bytes INTEGER NOT NULL,
    factor_ids TEXT NOT NULL,
    remedy_ids TEXT NOT NULL,
    weight_enabled INTEGER NOT NULL,
    weight INTEGER,
    weight_unit TEXT,
    notes TEXT,
    start_time INTEGER NOT NULL,
    end_time INTEGER,
    snoring_duration NUMERIC NOT NULL,
    session_duration NUMERIC NOT NULL,
    mild_percent NUMERIC NOT NULL,
    loud_percent NUMERIC NOT NULL,
    epic_percent NUMERIC NOT NULL,
    intensity NUMERIC NOT NULL,
    detection_profile TEXT NOT NULL,
    min_volume NUMERIC NOT NULL,
    max_volume NUMERIC NOT NULL,
    average_volume NUMERIC NOT NULL,
    peak_snore_volume NUMERIC NOT NULL
);

create table chart_points (
    id INTEGER NOT NULL PRIMARY KEY,
    intensity NUMERIC NOT NULL,
    point_time NUMERIC NOT NULL,
    session_id INTEGER NOT NULL,
    FOREIGN KEY(session_id) REFERENCES sessions(id) ON DELETE CASCADE ON UPDATE CASCADE
);

create table audio_samples (
    id INTEGER NOT NULL PRIMARY KEY,
    audio_state TEXT NOT NULL,
    start_time NUMERIC NOT NULL,
    intensity NUMERIC NOT NULL,
    favorite INTEGER NOT NULL,
    data_size INTEGER NOT NULL,
    audio_path TEXT,
    session_id INTEGER NOT NULL,
    chart_point_id INTEGER,
    FOREIGN KEY(session_id) REFERENCES sessions(id) ON DELETE CASCADE ON UPDATE CASCADE,
    FOREIGN KEY(chart_point_id) REFERENCES chart_points(id) ON DELETE CASCADE ON UPDATE CASCADE
);
