class DotStringsParser

  REGEX_QUOTED = /\"((\\\"|[^\"])+)\"/
  REGEX_KEY_VALUE = /#{REGEX_QUOTED}\s*=\s*#{REGEX_QUOTED}/

  def initialize
    @hash = {}
  end

  def convert_to_array(line)
    if pair_match = line.match(REGEX_KEY_VALUE)
      pair_string = pair_match.to_s
      pair_array = pair_string.partition(/\s*=\s*/)
      pair_array.map do |index|
        index.gsub!(/(^"|"$)/, "")
      end
      @hash[pair_array[0]] = pair_array[2]
    end
  end

  def to_hash(file)
    File.open(file, "r") do |file|
      content = file.read
      content.each_line do |line|
        convert_to_array line
      end
    end
    @hash
  end

  def self.parse
    new
  end
end

require 'json'
html = File.read(ARGV[1])

hash = DotStringsParser.parse.to_hash(ARGV[0])
hash.each do |key, value|
  html = html.gsub('>' + key + '<', '>' + value + '<')
end

puts html
